C$Procedure  VOXPAD  ( extend to integral voxel )
 
      DOUBLE PRECISION FUNCTION  VOXPAD ( PADINT, VAL )
  
C$ Abstract
C
C     Return the distance required in voxel grid units to extend the
C     
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT NONE
 
      INTEGER               PADINT
 
      DOUBLE PRECISION      VAL
 
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     PADINT     I   Number of additional voxels to pad out to.
C     VAL        I   Current value.
C
C     The function returns the extension distance required
C     to widen the voxel grid the desired amount.
C
C$ Detailed_Input
C
C
C$ Detailed_Output
C
C     The function returns the value of the dot product of V1 and V2.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C     1)
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 04-FEB-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     pad voxel grid with additional voxels
C
C-&
  
 
      IF ( PADINT .LT. 0 ) THEN
 
         IF ( VAL .LT. 0.D0 ) THEN
            VOXPAD = DNINT( VAL ) + DBLE( PADINT )
         ELSE IF ( VAL .GT. 0.D0 ) THEN
            VOXPAD = DNINT( VAL ) + DBLE( PADINT ) - 1.D0
         ELSE
            VOXPAD = DBLE( PADINT )
         END IF
 
      ELSE IF ( PADINT .GT. 0 ) THEN
 
         IF ( VAL .GT. 0.D0 ) THEN
            VOXPAD = DNINT( VAL ) + DBLE( PADINT )
         ELSE IF ( VAL .LT. 0.D0 ) THEN
            VOXPAD = DNINT( VAL ) + DBLE( PADINT ) + 1.D0
         ELSE
            VOXPAD = DBLE( PADINT )
         END IF
 
      ELSE
 
         WRITE(*,*) 'padding direction not given'
 
      END IF




 
      RETURN
      END
