      SUBROUTINE POVTSM ( FUNIT, PLTID, COLCH )
 
C
C     Output a colored triangle to a POV file.
C
 
      IMPLICIT              NONE
 
      INCLUDE              'pltmax.inc'
 
      INTEGER               I
      INTEGER               J
      INTEGER               FUNIT
      INTEGER               PLTID
      INTEGER               NPLT
      INTEGER               VLOUT   ( 3 )
      INTEGER               PLIST   ( MAXEDG )
 
      DOUBLE PRECISION      PNRM    ( 3 )
      DOUBLE PRECISION      PTOT    ( 3 )
      DOUBLE PRECISION      VERT3   ( 3, 3 )
      DOUBLE PRECISION      PVNRM   ( 3, MAXEDG )
 
 
 
      CHARACTER*(*)         COLCH
      CHARACTER*(400)       OUTLIN
      CHARACTER*(20)        VECT    ( 3 , 3 )
      CHARACTER*(20)        VECT2   ( 3 , 3 )
 
 
      OUTLIN = ' '
 
C
C     Get the coordinates of the plate's vertices.
C
 
      CALL NTHPLV ( PLTID, VERT3 )
 
C
C     Get the IDs of the plate's vertices.
C
 
      CALL NTHPVL ( PLTID, PLTID, VLOUT )
 
C
C     Determine the average normal vector at
C     each vertex.
C
 
      DO I = 1, 3
 
C
C     Get the plates that share a vertex.
C
 
         CALL VRTPLT ( VLOUT(I), NPLT, PLIST )
 
 
C
C     Average the normal vectors of all plates sharing
C     the same vertex.
C
 
         CALL VPACK ( 0.D0, 0.D0, 0.D0, PTOT )
 
         DO J = 1, NPLT
            CALL NTHPLN ( PLIST(J), PNRM )
            CALL VADD   ( PNRM, PTOT, PTOT )
         END DO
 
         CALL VSCL ( 1.D0/DBLE(NPLT), PTOT, PVNRM(1,I) )
 
      END DO
 
C
C     Write out data to POV file.
C
 
      DO I = 1, 3
         DO J = 1, 3
            CALL DPSTR ( VERT3(J,I), 8, VECT(J,I)  )
            CALL DPSTR ( PVNRM(J,I), 8, VECT2(J,I) )
         END DO
      END DO
 
      OUTLIN =   'smooth_triangle { <#,#,#>, <#,#,#>, '
     .        //                   '<#,#,#>, <#,#,#>, '
     .        //                   '<#,#,#>, <#,#,#> '
     .        //                   ' texture { # } }'
 
 
      DO I = 1, 3
         DO J = 1, 3
            CALL REPMC ( OUTLIN, '#', VECT(J,I),  OUTLIN )
			END DO
			DO J = 1, 3
            CALL REPMC ( OUTLIN, '#', VECT2(J,I), OUTLIN )
         END DO
      END DO
 
 
      CALL REPMC ( OUTLIN, '#', COLCH, OUTLIN )
 
      CALL WRITLN ( OUTLIN, FUNIT )
 
      RETURN
      END
